Bug 4244 - RH 6.0 breaks several apps (acrobat4, wordperfect 8)
RH 6.0 breaks several apps (acrobat4, wordperfect 8)
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: libc (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-28 15:09 EDT by leifj
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-29 03:18:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description leifj 1999-07-28 15:09:19 EDT
Redhat 6.0 has a problem with some applications linked
against glibc-2.0 and/or libc-5. An example of such an
app is acrobat4 (and 3), wordperfect 8. Not all old apps
break; rvplayer (5.0) still works fine! I enclose a gdb
dump which seems to indicate that glibc-2.1 may be the
culprit since the sigsev comes eary in the initialization
process for glibc.

tiger(zsh)[677]gdb
/usr/local/Acrobat4/Reader/intellinux/bin/acroread core
GNU gdb 4.17.0.11 with Linux
support                                            Copyright
1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public
License, and you are
welcome to change it and/or distribute copies of it under
certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show
warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by
`/usr/local/Acrobat4/Reader/intellinux/bin/acroread'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from
/usr/local/Acrobat4/Reader/intellinux/lib/libreadcore.so...done.
Reading symbols from
/usr/local/Acrobat4/Reader/intellinux/lib/libAGM.so...
done.
Reading symbols from
/usr/local/Acrobat4/Reader/intellinux/lib/libCoolType.so...done.
Reading symbols from
/usr/local/Acrobat4/Reader/intellinux/lib/libICC.so...
done.
Reading symbols from
/usr/local/X11R6.3/lib/libXt.so.6...done.
Reading symbols from
/usr/local/X11R6.3/lib/libXext.so.6...done.
Reading symbols from
/usr/local/X11R6.3/lib/libX11.so.6...done.
Reading symbols from
/usr/i486-linux-libc5/lib/libm.so.5...done.
Reading symbols from /lib/libdl.so.1...done.
Reading symbols from
/usr/i486-linux-libc5/lib/libc.so.5...done.
Reading symbols from
/usr/local/X11R6.3/lib/libSM.so.6...done.
Reading symbols from
/usr/local/X11R6.3/lib/libICE.so.6...done.
Reading symbols from /lib/libc.so.6...done.
Reading symbols from /lib/ld-linux.so.2...done.
Reading symbols from /lib/ld-linux.so.1...done.
#0  0x408461cb in __getopt_clean_environment (env=0x0) at
getopt_init.c:60
getopt_init.c:60: No such file or directory.
(gdb) bt
#0  0x408461cb in __getopt_clean_environment (env=0x0) at
getopt_init.c:60
#1  0x407c2b9a in _init (arg=0x0) at
../sysdeps/unix/sysv/linux/init-first.c:87
#2  0x4000234b in _dl_boot ()
Comment 1 Bill Nottingham 1999-07-28 17:47:59 EDT
Acrobat 4 is linked against libc5; from the core dump, I'd
say you probably have some glibc (or other) libraries
in /usr/local/lib that it is picking up.
Comment 2 Cristian Gafton 1999-07-29 03:18:59 EDT
I don't know where your /usr/local/X11R6.3 libraries are coming from
in the trace you gave. I am using both those apps on a 6.0 system

Note You need to log in before you can comment on or make changes to this bug.